Quassel IRC - Feature #771

SSL Certificate collecting method
08/18/2009 02:58 PM - Crazy_Hopper

Status: Resolved Start date: 08/18/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 0%
Category: Usability Estimated time: 0.00 hour
Target version: 0.6.0

0S: Any

Description

When 'add to known hosts' checkbox is ticked, client's config is populated with IP address as a key and QByteArray as a value. In
case of core IP address changes, the warning dialog is presented again and again. This scheme makes it impossible to tell client to
trust some particular certificate. My suggestion is to store the core address as it was input by the user with the certificate fingerprint.

History

#1 - 09/11/2009 01:06 AM - Sputnick
- Target version deleted (0.5.0)

#2 - 11/24/2009 02:19 PM - Sputnick
- Status changed from New to Confirmed
- Assignee set to Sputnick

- Target version set to 0.6.0

#3 - 03/09/2010 07:56 PM - johu
- Target version deleted (0.6.0)

#4 - 03/09/2010 07:58 PM - johu
- Status changed from Confirmed to Resolved

- Target version set to 0.6.0
